package com.yonge.cooleshow.biz.dal.enums;

// Display 定义格式如下：
// display://type=1?userId=xxx?uri=xxxxx
// 0，1，3 时，userId 有效，对应此人的 id，uri 无效
// 2 时，展示白板，必须携带白板 uri
// 4 时，清空当前 room 的 display

import com.yonge.toolset.base.enums.BaseEnum;

public enum ImNetworkDisplayEnum implements BaseEnum<String, ImNetworkDisplayEnum> {
    TEACHER("老师"),
    WHITE_BOARD("白板"),
    SCREEN("屏幕"),
    //清空当前 room 的 display
    NONE("清空"),
    STUDENT("学员");

    private String msg;

    ImNetworkDisplayEnum(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.name();
    }

    public String getMsg() {
        return msg;
    }
}